> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# Pobierz projekt Studio

GET https://api.elevenlabs.io/v1/studio/projects/{project_id}

Zwraca informacje o określonym projekcie Studio. Ten endpoint zwraca bardziej szczegółowe informacje o projekcie niż `GET /v1/studio`.

Reference: https://elevenlabs.io/docs/api-reference/studio/get-project

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `project_id` (string, required) — ID projektu do użycia. Możesz użyć endpointu [List projects](/docs/api-reference/studio/get-projects), aby wyświetlić wszystkie dostępne projekty.

### Query parameters

- `share_id` (string, optional, nullable) — ID udostępnienia projektu

## Response

### 200

Pomyślna odpowiedź

- `project_id` (string, required) — ID projektu.
- `name` (string, required) — Nazwa projektu.
- `create_date_unix` (integer, required) — Data utworzenia projektu.
- `created_by_user_id` (string, required, nullable) — ID użytkownika, który utworzył projekt.
- `default_title_voice_ref_id` (string, required) — Domyślny identyfikator referencji głosu projektu dla tytułu.
- `default_paragraph_voice_ref_id` (string, required) — Domyślny identyfikator referencji głosu projektu dla akapitu.
- `default_model_id` (string, required) — Domyślny identyfikator modelu.
- `can_be_downloaded` (boolean, required) — Czy projekt można pobrać.
- `volume_normalization` (boolean, required) — Czy projekt używa normalizacji głośności.
- `state` (enum, required) — Stan projektu.
  - Allowed values: `creating`, `default`, `converting`, `in_queue`
- `access_level` (enum, required) — Poziom dostępu do projektu.
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `quality_preset` (enum, required) — Poziom presetu jakości projektu.
  - Allowed values: `standard`, `high`, `ultra`, `ultra_lossless`
- `chapters` (list of ChapterResponseModel, required) — Lista rozdziałów projektu i ich metadanych.
- `pronunciation_dictionary_versions` (list of PronunciationDictionaryVersionResponseModel, required) — Lista wersji słowników wymowy projektu i ich metadanych.
- `pronunciation_dictionary_locators` (list of PronunciationDictionaryLocatorResponseModel, required) — Lista lokalizatorów słowników wymowy.
- `apply_text_normalization` (enum, required) — Czy do projektu stosowana jest normalizacja tekstu.
  - Allowed values: `auto`, `on`, `off`, `apply_english`
- `assets` (list of ProjectExtendedResponseModelAssetsItems, required) — Lista przesłanych zasobów, np. filmów i plików audio.
- `voices` (list of ProjectVoiceResponseModel, required) — Lista skonfigurowanych głosów projektu.
- `quality_check_on` (boolean, required, deprecated) — Czy kontrola jakości jest włączona dla tego projektu.
- `quality_check_on_when_bulk_convert` (boolean, required, deprecated) — Czy kontrola jakości jest włączona w projekcie podczas konwersji zbiorczej.
- `default_title_voice_id` (string, required, deprecated) — Domyślny identyfikator głosu dla tytułu.
- `default_paragraph_voice_id` (string, required, deprecated) — Domyślny identyfikator głosu dla akapitu.
- `last_conversion_date_unix` (integer, optional, nullable) — Data ostatniej konwersji projektu.
- `title` (string, optional, nullable) — Tytuł projektu.
- `author` (string, optional, nullable) — Autor projektu.
- `description` (string, optional, nullable) — Opis projektu.
- `genres` (list of string, optional, nullable) — Lista gatunków projektu.
- `cover_image_url` (string, optional, nullable) — Adres URL obrazu okładki projektu.
- `target_audience` (enum, optional, nullable) — Grupa docelowa projektu.
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `language` (string, optional, nullable) — Dwuliterowy kod języka (ISO 639-1) języka projektu.
- `content_type` (string, optional, nullable) — Typ treści projektu, np. „Novel” lub „Short Story”
- `original_publication_date` (string, optional, nullable) — Oryginalna data publikacji projektu.
- `mature_content` (boolean, optional, nullable) — Czy projekt zawiera treści dla dorosłych.
- `isbn_number` (string, optional, nullable) — Numer ISBN projektu.
- `fiction` (enum, optional, nullable) — Czy projekt jest fikcją.
  - Allowed values: `fiction`, `non-fiction`
- `creation_meta` (ProjectCreationMetaResponseModel, optional, nullable) — Metadane utworzenia projektu.
- `source_type` (enum, optional, nullable) — Typ źródła projektu.
  - Allowed values: `blank`, `book`, `article`, `genfm`, `video`, `screenplay`
- `chapters_enabled` (boolean, optional, nullable, default: true) — Czy rozdziały są włączone dla projektu.
- `captions_enabled` (boolean, optional, nullable, default: true) — Czy napisy są włączone dla projektu.
- `caption_style` (CaptionStyleModel, optional, nullable) — Globalne style stosowane do wszystkich napisów
- `caption_style_template_overrides` (map from string to CaptionStyleModel, optional, nullable) — Zmiany stylów wprowadzone w udostępnionych szablonach
- `public_share_id` (string, optional, nullable) — Publiczne ID udostępnienia projektu.
- `aspect_ratio` (enum, optional, nullable) — Proporcje projektu.
  - Allowed values: `16:9`, `9:16`, `4:5`, `1:1`
- `agent_settings` (StudioAgentSettingsModel, optional, nullable) — Ustawienia agenta dla projektu
- `experimental` (map from string to any, optional) — Funkcje eksperymentalne projektu.
- `base_voices` (list of VoiceResponseModel, optional, nullable) — Lista głosów użytych w projekcie.
- `publishing_read` (DirectPublishingReadResponseModel, optional, nullable) — Dane ElevenReader, jeśli książka została opublikowana.

## Errors

### 422 Unprocessable Entity Error

Błąd walidacji

- `detail` (list of ValidationError, optional)

## Types

### ChapterResponseModel

- `chapter_id` (string, required) — ID rozdziału.
- `name` (string, required) — Nazwa rozdziału.
- `can_be_downloaded` (boolean, required) — Czy rozdział można pobrać.
- `state` (enum, required) — Stan rozdziału.
  - Allowed values: `default`, `converting`
- `last_conversion_date_unix` (integer, optional, nullable) — Data ostatniej konwersji rozdziału.
- `conversion_progress` (double, optional, nullable) — Postęp konwersji rozdziału.
- `has_video` (boolean, optional, nullable) — Czy rozdział zawiera wideo.
- `has_visual_content` (boolean, optional, nullable) — Czy rozdział zawiera treści wizualne (klipy wideo, obrazy lub tekst).
- `voice_ids` (list of string, optional, nullable) — Lista ID głosów użytych w rozdziale
- `statistics` (ChapterStatisticsResponseModel, optional, nullable) — Statystyki rozdziału.
- `last_conversion_error` (string, optional, nullable) — Ostatni błąd konwersji rozdziału.

### PronunciationDictionaryVersionResponseModel

- `version_id` (string, required)
- `version_rules_num` (integer, required)
- `pronunciation_dictionary_id` (string, required)
- `dictionary_name` (string, required)
- `version_name` (string, required)
- `permission_on_resource` (enum, required, nullable)
  - Allowed values: `admin`, `editor`, `commenter`, `viewer`
- `created_by` (string, required)
- `creation_time_unix` (integer, required)
- `archived_time_unix` (integer, optional, nullable)

### PronunciationDictionaryLocatorResponseModel

- `pronunciation_dictionary_id` (string, required)
- `version_id` (string, required, nullable)

### ProjectExtendedResponseModelAssetsItems

- ProjectVideoResponseModel: ProjectVideoResponseModel
- ProjectExternalAudioResponseModel: ProjectExternalAudioResponseModel
- ProjectImageResponseModel: ProjectImageResponseModel

### ProjectVoiceResponseModel

- `project_voice_ref_id` (string, required)
- `voice_id` (string, required)
- `alias` (string, required)
- `stability` (double, required)
- `similarity_boost` (double, required)
- `style` (double, required)
- `is_pinned` (boolean, required)
- `use_speaker_boost` (boolean, required)
- `volume_gain` (double, required)
- `speed` (double, required)

### ProjectCreationMetaResponseModel

- `creation_progress` (double, required) — Postęp tworzenia projektu.
- `status` (enum, required) — Status tworzenia projektu.
  - Allowed values: `draft`, `pending`, `creating`, `finished`, `failed`
- `type` (enum, required) — Typ działania tworzącego projekt.
  - Allowed values: `blank`, `generate_podcast`, `auto_assign_voices`, `dub_video`, `import_speech`

### CaptionStyleModel

- `template` (CaptionStyleTemplateModel, optional, nullable)
- `text_font` (string, optional, nullable)
- `text_scale` (double, optional, nullable)
- `text_color` (string, optional, nullable)
- `text_align` (enum, optional, nullable)
  - Allowed values: `start`, `center`, `end`
- `text_style` (enum, optional, nullable)
  - Allowed values: `normal`, `italic`
- `text_weight` (enum, optional, nullable)
  - Allowed values: `normal`, `bold`, `900`
- `text_transform` (enum, optional, nullable)
  - Allowed values: `none`, `uppercase`
- `text_blend_mode` (enum, optional, nullable)
  - Allowed values: `normal`, `difference`, `multiply`
- `text_shadow` (StudioTextStyleShadowModel, optional, nullable)
- `text_outline` (StudioTextStyleOutlineModel, optional, nullable)
- `background_enabled` (boolean, optional, nullable)
- `background_color` (string, optional, nullable)
- `background_opacity` (double, optional, nullable)
- `background_blur` (double, optional, nullable)
- `background_border_radius` (double, optional, nullable)
- `word_highlights_enabled` (boolean, optional, nullable)
- `word_highlights_color` (string, optional, nullable)
- `word_highlights_background_color` (string, optional, nullable)
- `word_highlights_opacity` (double, optional, nullable)
- `word_highlights_border_radius` (double, optional, nullable)
- `word_highlights_blur` (double, optional, nullable)
- `section_animation` (CaptionStyleSectionAnimationModel, optional, nullable)
- `word_animation` (CaptionStyleWordAnimationModel, optional, nullable)
- `character_animation` (CaptionStyleCharacterAnimationModel, optional, nullable)
- `cursor_enabled` (boolean, optional, nullable)
- `width_pct` (double, optional, nullable)
- `horizontal_placement` (CaptionStyleHorizontalPlacementModel, optional, nullable)
- `vertical_placement` (CaptionStyleVerticalPlacementModel, optional, nullable)
- `auto_break_enabled` (boolean, optional, nullable)
- `max_lines_per_section` (integer, optional, nullable)
- `max_words_per_line` (integer, optional, nullable)

### StudioAgentSettingsModel

- `tool_settings` (map from string to StudioAgentToolSettingsModel, optional)

### VoiceResponseModel

- `voice_id` (string, required) — ID głosu.
- `name` (string, optional) — Nazwa głosu.
- `samples` (list of SampleResponseModel, optional, nullable) — Lista próbek powiązanych z głosem.
- `category` (enum, optional) — Kategoria głosu.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `fine_tuning` (FineTuningResponseModel, optional, nullable) — Informacje o dostrajaniu głosu.
- `labels` (map from string to string, optional) — Etykiety powiązane z głosem.
- `description` (string, optional, nullable) — Opis głosu.
- `preview_url` (string, optional, nullable) — Adres URL podglądu głosu.
- `available_for_tiers` (list of string, optional) — Poziomy, dla których głos jest dostępny.
- `settings` (VoiceSettingsResponseModel, optional, nullable) — Ustawienia głosu.
- `sharing` (VoiceSharingResponseModel, optional, nullable) — Informacje o udostępnianiu głosu.
- `high_quality_base_model_ids` (list of string, optional) — Identyfikatory modeli bazowych dla głosów wysokiej jakości.
- `verified_languages` (list of VerifiedVoiceLanguageResponseModel, optional, nullable) — Zweryfikowane języki głosu.
- `collection_ids` (list of string, optional, nullable) — ID kolekcji, do których należy ten głos.
- `safety_control` (enum, optional, nullable) — Kontrole zabezpieczeń głosu.
  - Allowed values: `NONE`, `BAN`, `CAPTCHA`, `ENTERPRISE_BAN`, `ENTERPRISE_CAPTCHA`
- `voice_verification` (VoiceVerificationResponseModel, optional, nullable) — Weryfikacja głosu.
- `permission_on_resource` (string, optional, nullable) — Uprawnienie do zasobu głosu.
- `is_owner` (boolean, optional, nullable) — Czy głos należy do użytkownika.
- `is_legacy` (boolean, optional, default: false) — Czy głos jest starszego typu.
- `is_mixed` (boolean, optional, default: false) — Czy głos jest zmiksowany.
- `favorited_at_unix` (integer, optional, nullable) — Znacznik czasu Unix, gdy głos oznaczono jako ulubiony.
- `created_at_unix` (integer, optional, nullable) — Czas utworzenia głosu w czasie Unix.
- `is_bookmarked` (boolean, optional, nullable) — Czy bieżący użytkownik dodał głos do zakładek. Dotyczy tylko głosów społecznościowych (skopiowanych z biblioteki).
- `recording_quality` (enum, optional, nullable) — Jakość nagrania głosu określona przez proces weryfikacji.
  - Allowed values: `studio`, `good`, `ok`, `poor`, `bad`
- `labelling_status` (enum, optional, nullable) — Status procesu weryfikacji głosu.
  - Allowed values: `in_review`, `review_complete`
- `recording_quality_reason` (string, optional, nullable) — Powód oceny jakości nagrania, określony przez proces weryfikacji.

### DirectPublishingReadResponseModel

- `read_id` (string, required)
- `created_at_unix` (integer, required)
- `updated_at_unix` (integer, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `chapters` (list of ReadMetadataChapterDBModel, required)
- `title` (string, optional, nullable)
- `author` (string, optional, nullable)
- `description` (string, optional, nullable)
- `article_image_url` (string, optional, nullable)
- `language` (string, optional, nullable)
- `locale` (string, optional, nullable)
- `display_mode` (enum, optional, nullable)
  - Allowed values: `text`, `audio-only`, `text-with-audio`
- `genre` (list of enum, optional, nullable)
  - Allowed values: `Fantasy`, `Romance`, `Science Fiction`, `Mystery and Thriller`, `Action and Adventure`, `Dystopia`, `Business and Economics`, `Technology`, `Christian & Inspirational`, `Horror`, `Biography and Memoir`, `Education and Learning`, `History`, `Children's Literature`, `Young Adult`, `Fairy Tales and Folklore`, `Fan Fiction`, `General Fiction`, `Health and Wellness`, `Historical Fiction`, `Humor`, `Literary Classics`, `Philosophy`, `Poetry`, `Politics and Government`, `Psychology`, `Science and Nature`, `Self-Help`, `Spirituality and Religion`, `Travel`, `True Crime`, `Other`
- `fiction` (string, optional, nullable)
- `content_type` (string, optional, nullable)
- `original_file_type` (string, optional, nullable)
- `target_audience` (enum, optional, nullable)
  - Allowed values: `children`, `young adult`, `adult`, `all ages`
- `mature_content` (boolean, optional, nullable)
- `safesearch_adult` (boolean, optional, nullable)
- `origin` (string, optional, nullable)
- `publication_date` (string, optional, nullable)
- `isbn` (string, optional, nullable)
- `ean` (string, optional, nullable)
- `legal_terms` (ReadLegalTerms, optional, nullable)
- `content_guidelines_terms` (ReadLegalTerms, optional, nullable)
- `last_updated_from_project_unix` (integer, optional, nullable)
- `publishing_project_id` (string, optional, nullable)
- `publishing_state` (string, optional, default: published)
- `publisher_profile_id` (string, optional, nullable)
- `quality_score` (integer, optional, nullable)
- `publisher` (string, optional, nullable)
- `copyright` (string, optional, nullable)
- `subtitle` (string, optional, nullable)
- `distribution_territories` (list of string, optional, nullable)
- `edition` (string, optional, nullable)
- `contributors` (list of Contributor, optional, nullable)
- `payout_type` (enum, optional, nullable)
  - Allowed values: `none`, `engagement_based`, `fixed_payout`
- `list_price` (double, optional, nullable)
- `currency` ("usd", optional, nullable)
- `original_audio_project_export_id` (string, optional, nullable)
- `original_audio_document_id` (string, optional, nullable)
- `series_id` (string, optional, nullable)
- `volume` (integer, optional, nullable)
- `published_at_unix` (integer, optional, nullable)
- `read_slug` (string, optional, nullable)
- `preview_audio_object` (PreviewAudioDBModel, optional, nullable)
- `sample_config` (SampleConfigDBModel, optional, nullable)
- `review` (ReviewResponseModel, optional, nullable)
- `voice_id` (string, optional, nullable)
- `can_use_assistant` (boolean, optional, default: true)
- `is_voice_changer_on` (boolean, optional, default: false)
- `restricted_to_user_email_domains` (list of string, optional, nullable)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ChapterStatisticsResponseModel

- `characters_unconverted` (integer, required) — Liczba nieprzekonwertowanych znaków.
- `characters_converted` (integer, required) — Liczba przekonwertowanych znaków.
- `paragraphs_converted` (integer, required) — Liczba przekonwertowanych akapitów.
- `paragraphs_unconverted` (integer, required) — Liczba nieprzekonwertowanych akapitów.
- `credits_needed_to_convert` (integer, optional, nullable) — Liczba kredytów potrzebnych do konwersji pozostałych akapitów.
- `voice_statistics` (list of VoiceStatisticsResponseModel, optional, nullable) — Podział liczby znaków według głosu.

### ProjectVideoResponseModel

- `video_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `signed_preview_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `volume_gain_db` (double, required)
- `muted` (boolean, required)
- `width` (integer, required)
- `height` (integer, required)
- `codec` (string, required)
- `order` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `thumbnail_interval_seconds` (double, required)
- `thumbnail_size` (list of integer, required)
- `thumbnail_sheets` (list of ProjectVideoThumbnailSheetResponseModel, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `preview_job_progress` (double, required)
- `import_speech_progress` (double, required, nullable)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `error` (string, optional, nullable)
- `asset_preview_signed_url` (string, optional, nullable)
- `source_video_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `audio_track_ready` (boolean, optional, default: true)
- `export_format_ready` (boolean, optional, default: true)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (GenerationSourceContext, optional, nullable)
- `analysis` (VideoAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("video", optional, default: video)
- `canvas_placement` (CanvasPlacement, optional) — Określa pozycjonowanie i transformację zasobu na obszarze roboczym.
- `animation` (ClipAnimation, optional)
- `playback_speed` (double, optional, default: 1)
- `opacity` (double, optional, default: 1)
- `track_id` (string, optional, default: v0)

### ProjectExternalAudioResponseModel

- `external_audio_id` (string, required)
- `filename` (string, required)
- `signed_url` (string, required, nullable)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `start_time_ms` (integer, required)
- `end_time_ms` (integer, required, nullable)
- `order` (string, required)
- `track_id` (string, required)
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `import_speech_progress` (double, required, nullable)
- `volume_gain_db` (double, optional, default: 0)
- `muted` (boolean, optional, default: false)
- `fade_in_ms` (integer, optional, default: 0)
- `fade_out_ms` (integer, optional, default: 0)
- `source_external_audio_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `pending_blocks_metadata` (PendingBlocksMetadataModel, optional, nullable)
- `pending_external_audios_metadata` (PendingExternalAudiosMetadataModel, optional, nullable)
- `speech_imported` (boolean, optional, default: false)
- `pending_task` (PendingClipTask, optional, nullable)
- `error` (string, optional, nullable)
- `current_snapshot_id` (string, optional, nullable)
- `source_context` (ProjectExternalAudioResponseModelSourceContext, optional, nullable)
- `analysis` (AudioAnalysis, optional, nullable)
- `transcription` (AssetTranscription, optional, nullable)
- `type` ("audio", optional, default: audio)

### ProjectImageResponseModel

- `image_id` (string, required)
- `filename` (string, required)
- `file_size_bytes` (integer, required)
- `width` (integer, required)
- `height` (integer, required)
- `offset_ms` (integer, required)
- `duration_ms` (integer, required)
- `order` (string, required)
- `canvas_placement` (CanvasPlacement, required) — Określa pozycjonowanie i transformację zasobu na obszarze roboczym.
- `created_at_ms` (integer, required)
- `updated_at_ms` (integer, required)
- `signed_url` (string, optional, nullable)
- `thumbnail_signed_url` (string, optional, nullable)
- `type` ("image", optional, default: image)
- `source` ("upload", optional, default: upload)
- `track_id` (string, optional, default: v0)
- `animation` (ClipAnimation, optional)
- `opacity` (double, optional, default: 1)
- `current_snapshot_id` (string, optional, nullable)
- `source_asset_id` (string, optional, nullable)
- `source_platform_asset_id` (string, optional, nullable)
- `error` (string, optional, nullable)
- `pending_task` (PendingClipTask, optional, nullable)
- `analysis` (ImageAnalysis, optional, nullable)

### CaptionStyleTemplateModel

- `key` (string, required)
- `label` (string, required)
- `requires_high_fps` (boolean, optional, default: false)

### StudioTextStyleShadowModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `blur` (double, required)
- `offset_x` (double, required)
- `offset_y` (double, required)

### StudioTextStyleOutlineModel

- `enabled` (boolean, required)
- `color` (string, required)
- `opacity` (double, required)
- `width` (double, required)

### CaptionStyleSectionAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleWordAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`, `scale`, `pop`, `slide_up`, `slide_down`, `slam`, `scale_down`, `slide_in`

### CaptionStyleCharacterAnimationModel

- `enter_type` (enum, required)
  - Allowed values: `none`, `fade`, `typewriter`
- `exit_type` (enum, required)
  - Allowed values: `none`, `fade`

### CaptionStyleHorizontalPlacementModel

- `align` (enum, required)
  - Allowed values: `left`, `center`, `right`
- `translate_pct` (double, required)

### CaptionStyleVerticalPlacementModel

- `align` (enum, required)
  - Allowed values: `top`, `center`, `bottom`
- `translate_pct` (double, required)

### StudioAgentToolSettingsModel

- `skip_confirmation` (boolean, optional, default: false)

### SampleResponseModel

- `sample_id` (string, optional) — ID próbki.
- `file_name` (string, optional) — Nazwa pliku próbki.
- `mime_type` (string, optional) — Typ MIME pliku próbki.
- `size_bytes` (integer, optional) — Rozmiar pliku próbki w bajtach.
- `hash` (string, optional) — Hash pliku próbki.
- `duration_secs` (double, optional, nullable)
- `remove_background_noise` (boolean, optional, nullable)
- `has_isolated_audio` (boolean, optional, nullable)
- `has_isolated_audio_preview` (boolean, optional, nullable)
- `speaker_separation` (SpeakerSeparationResponseModel, optional, nullable)
- `trim_start` (integer, optional, nullable)
- `trim_end` (integer, optional, nullable)

### FineTuningResponseModel

- `is_allowed_to_fine_tune` (boolean, optional) — Czy użytkownik może dostrajać głos.
- `state` (map from string to enum, optional) — Stan procesu Finetune dla każdego modelu.
  - Allowed values: `not_started`, `queued`, `fine_tuning`, `fine_tuned`, `failed`, `delayed`
- `verification_failures` (list of string, optional) — Lista błędów weryfikacji w procesie finetune.
- `verification_attempts_count` (integer, optional) — Liczba prób weryfikacji w procesie Finetune.
- `manual_verification_requested` (boolean, optional) — Czy zażądano ręcznej weryfikacji procesu fine-tuningu.
- `language` (string, optional, nullable) — Język procesu Finetune.
- `progress` (map from string to double, optional, nullable) — Postęp procesu Finetune.
- `message` (map from string to string, optional, nullable) — Komunikat procesu Finetune.
- `dataset_duration_seconds` (double, optional, nullable) — Czas trwania zbioru danych w sekundach.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — Liczba prób weryfikacji.
- `slice_ids` (list of string, optional, nullable) — Lista ID segmentów.
- `manual_verification` (ManualVerificationResponseModel, optional, nullable) — Ręczna weryfikacja procesu Finetune.
- `max_verification_attempts` (integer, optional, nullable) — Maksymalna liczba prób weryfikacji.
- `next_max_verification_attempts_reset_unix_ms` (integer, optional, nullable) — Czas resetowania maksymalnej liczby prób weryfikacji, w milisekundach Unix.
- `finetuning_state` (any, optional)

### VoiceSettingsResponseModel

- `stability` (double, optional, nullable, default: 0.5) — Określa stabilność głosu i losowość między kolejnymi generacjami. Niższe wartości zapewniają głosowi szerszy zakres emocji. Wyższe wartości mogą dać monotonny głos z ograniczonymi emocjami.
- `use_speaker_boost` (boolean, optional, nullable, default: true) — To ustawienie zwiększa podobieństwo do oryginalnego mówcy. Wymaga nieco większej mocy obliczeniowej, co z kolei zwiększa opóźnienie.
- `similarity_boost` (double, optional, nullable, default: 0.75) — Określa, jak dokładnie AI ma trzymać się oryginalnego głosu podczas próby jego odtworzenia.
- `style` (double, optional, nullable, default: 0) — Określa stopień wyrazistości stylu głosu. To ustawienie wzmacnia styl oryginalnego mówcy. Zużywa dodatkowe zasoby obliczeniowe i może zwiększyć opóźnienie, jeśli ma wartość inną niż 0.
- `speed` (double, optional, nullable, default: 1) — Dostosowuje szybkość głosu. Wartość 1.0 oznacza domyślną szybkość, wartości mniejsze niż 1.0 spowalniają mowę, a większe niż 1.0 ją przyspieszają.
- `clone_strength` (double, optional, nullable) — Określa, jak dobrze głos pasuje do próbek profesjonalnego klonu głosu — od 0 (nisko) do 1 (wysoko). W większości przypadków zalecamy wartość 0. Zwiększ ją tylko, jeśli występują problemy z domyślnymi ustawieniami. Dotyczy tylko profesjonalnych klonów głosu dostrojonych do wybranego modelu v4.

### VoiceSharingResponseModel

- `status` (enum, optional) — Status udostępniania głosu.
  - Allowed values: `enabled`, `disabled`, `copied`, `copied_disabled`
- `history_item_sample_id` (string, optional, nullable) — ID próbki elementu historii.
- `date_unix` (integer, optional) — Data udostępnienia głosu w czasie Unix.
- `whitelisted_emails` (list of string, optional) — Lista e-maili na liście dozwolonych.
- `public_owner_id` (string, optional) — ID publicznego właściciela.
- `original_voice_id` (string, optional) — ID oryginalnego głosu.
- `financial_rewards_enabled` (boolean, optional) — Czy nagrody finansowe są włączone.
- `free_users_allowed` (boolean, optional) — Czy bezpłatni użytkownicy są dozwoleni.
- `live_moderation_enabled` (boolean, optional) — Czy moderacja na żywo jest włączona.
- `rate` (double, optional, nullable) — Stawka udostępnienia głosu.
- `fiat_rate` (double, optional, nullable) — Stawka udostępnienia głosu w USD za 1000 kredytów.
- `notice_period` (integer, optional) — Okres wypowiedzenia udostępnienia głosu.
- `disable_at_unix` (integer, optional, nullable) — Data udostępnienia głosu w czasie Unix.
- `voice_mixing_allowed` (boolean, optional) — Czy miksowanie głosów jest dozwolone.
- `featured` (boolean, optional) — Czy głos jest wyróżniony.
- `category` (enum, optional) — Kategoria głosu.
  - Allowed values: `generated`, `cloned`, `premade`, `professional`, `famous`, `high_quality`
- `reader_app_enabled` (boolean, optional, nullable) — Czy aplikacja Reader jest włączona.
- `image_url` (string, optional, nullable) — Adres URL obrazu głosu.
- `ban_reason` (string, optional, nullable) — Powód zablokowania głosu.
- `liked_by_count` (integer, optional) — Liczba polubień głosu.
- `cloned_by_count` (integer, optional) — Liczba klonów głosu.
- `name` (string, optional) — Nazwa głosu.
- `description` (string, optional, nullable) — Opis głosu.
- `labels` (map from string to string, optional) — Etykiety głosu.
- `review_status` (enum, optional) — Status weryfikacji głosu.
  - Allowed values: `not_requested`, `pending`, `declined`, `declined_resubmittable`, `allowed`, `allowed_with_changes`
- `review_message` (string, optional, nullable) — Wiadomość z weryfikacji głosu.
- `enabled_in_library` (boolean, optional) — Czy głos jest włączony w bibliotece.
- `instagram_username` (string, optional, nullable) — Nazwa użytkownika głosu na Instagramie.
- `twitter_username` (string, optional, nullable) — Nazwa użytkownika głosu na Twitterze/X.
- `youtube_username` (string, optional, nullable) — Nazwa użytkownika głosu na YouTube.
- `tiktok_username` (string, optional, nullable) — Nazwa użytkownika głosu na TikToku.
- `moderation_check` (VoiceSharingModerationCheckResponseModel, optional, nullable) — Kontrola moderacji głosu.
- `reader_restricted_on` (list of ReaderResourceResponseModel, optional, nullable) — Ograniczenie głosu w Reader.

### VerifiedVoiceLanguageResponseModel

- `language` (string, required) — Język głosu.
- `model_id` (string, required) — ID modelu głosu.
- `accent` (string, optional, nullable) — Akcent głosu, jeśli dotyczy.
- `locale` (string, optional, nullable) — Ustawienia regionalne głosu, jeśli dotyczy.
- `preview_url` (string, optional, nullable) — URL podglądu głosu, jeśli dotyczy.

### VoiceVerificationResponseModel

- `requires_verification` (boolean, required) — Czy głos wymaga weryfikacji.
- `is_verified` (boolean, required) — Czy głos został zweryfikowany.
- `verification_failures` (list of string, required) — Lista błędów weryfikacji.
- `verification_attempts_count` (integer, required) — Liczba prób weryfikacji.
- `language` (string, optional, nullable) — Język głosu.
- `verification_attempts` (list of VerificationAttemptResponseModel, optional, nullable) — Liczba prób weryfikacji.

### ReadMetadataChapterDBModel

- `chapter_name` (string, required)
- `word_count` (integer, required)
- `char_count` (integer, required)
- `starting_char_offset` (integer, required)
- `has_parsed_html` (boolean, optional, default: false)
- `has_summary` (boolean, optional, default: false)
- `duration_seconds` (double, optional, nullable)
- `file_number` (string, optional, nullable)
- `is_fallback_name` (boolean, optional, default: false)
- `chapter_id` (string, optional, nullable)

### ReadLegalTerms

- `terms` (string, optional, nullable)
- `start_date` (string, optional, nullable)
- `end_date` (string, optional, nullable)

### Contributor

- `name` (string, required)
- `role` (string, required)
- `bio` (string, optional, nullable)
- `profile_id` (string, optional, nullable)

### PreviewAudioDBModel

- `audio_url` (string, required)
- `voice_id` (string, optional, nullable)
- `text` (string, optional, nullable)
- `hls_manifest_url` (string, optional, nullable)
- `dash_manifest_url` (string, optional, nullable)
- `is_auto_generated` (boolean, optional, nullable, default: false)
- `generated_at_unix` (integer, optional, nullable)

### SampleConfigDBModel

- `is_sample` (boolean, optional, default: false)
- `parent_id` (string, optional, nullable)
- `parent_type` (enum, optional, nullable)
  - Allowed values: `read`, `collection`
- `chapter_ids` (list of string, optional, nullable)

### ReviewResponseModel

- `review_status` (enum, required)
  - Allowed values: `approved`, `edits_required`, `rejected`
- `reviewed_at_unix` (integer, required)
- `reviewed_by` (string, optional, nullable)
- `reject_reasons` (list of enum, optional, nullable)
  - Allowed values: `lacks_structure`, `doesnt_open`, `not_literary_work`, `language_not_supported`, `too_short`, `duplicate`, `promotional`, `formatting_issues`, `low_quality`, `metadata_incomplete`, `metadata_inaccurate`, `typos`, `review_error`, `spam`, `legal_violation`, `content_policy`, `public_domain`, `other`
- `scores_breakdown` (map from string to integer, optional, nullable)
- `rejected_details` (string, optional, nullable)
- `explanation` (string, optional, nullable)

### ValidationErrorLocItems

- string
- integer

### VoiceStatisticsResponseModel

- `project_voice_ref_id` (string, required) — ID referencji głosu projektu.
- `characters_unconverted` (integer, required) — Liczba nieprzekonwertowanych znaków dla tego głosu.
- `characters_converted` (integer, required) — Liczba przekonwertowanych znaków dla tego głosu.
- `voice_id` (string, required, deprecated) — ID głosu.
- `credits_needed_to_convert` (integer, optional, nullable) — Liczba kredytów potrzebnych do konwersji pozostałego audio dla tego głosu.

### ProjectVideoThumbnailSheetResponseModel

- `start_thumbnail_index` (integer, required)
- `thumbnail_count` (integer, required)
- `signed_cloud_url` (string, required)

### PendingBlocksMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `block_ids` (list of string, required)

### PendingExternalAudiosMetadataModel

- `target_global_offset_ms` (integer, required, nullable)
- `external_audio_ids` (list of string, required)

### PendingClipTask

- `type` (enum, required)
  - Allowed values: `preprocessing`, `speech_import`, `dubbing`, `video_to_music`, `media_generation`
- `progress` (double, optional, default: 0)
- `started_at_ms` (integer, optional)
- `updated_at_ms` (integer, optional)
- `metadata` (map from string to any, optional)

### GenerationSourceContext

- `generation_id` (string, required)
- `model_id` (string, required)
- `source_type` ("generation", optional, default: generation)
- `prompt` (string, optional, nullable)
- `model_provider` (string, optional, nullable)
- `generation_session_id` (string, optional, nullable)
- `session_iteration_id` (string, optional, nullable)
- `model_parameters` (map from string to any, optional, nullable)
- `extend_video` (ReferenceVideo, optional, nullable)

### VideoAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (VideoAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### AssetTranscription

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AssetTranscriptionData, required, nullable)
- `updated_at_ms` (integer, optional)

### CanvasPlacement

Określa pozycjonowanie i transformację zasobu na obszarze roboczym.

- `x_relative` (double, optional, default: 0.5)
- `y_relative` (double, optional, default: 0.5)
- `scale_x` (double, optional, default: 1)
- `scale_y` (double, optional, default: 1)
- `pivot_x` (double, optional, default: 0)
- `pivot_y` (double, optional, default: 0)
- `skew_x` (double, optional, default: 0)
- `skew_y` (double, optional, default: 0)
- `crop_top` (double, optional, default: 0)
- `crop_right` (double, optional, default: 0)
- `crop_bottom` (double, optional, default: 0)
- `crop_left` (double, optional, default: 0)
- `flip_x` (boolean, optional, default: false)
- `flip_y` (boolean, optional, default: false)

### ClipAnimation

- `enter_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `enter_duration_ms` (integer, optional, default: 0)
- `exit_effect` (enum, optional, default: none)
  - Allowed values: `none`, `fade`, `float`, `gentle_float`, `zoom_in`, `drop`, `slide_left`, `slide_right`, `slide_up`, `slide_down`, `pop`, `bounce`, `spin`, `slide_bounce`
- `exit_duration_ms` (integer, optional, default: 0)

### ProjectExternalAudioResponseModelSourceContext

- `source_type`: `music_explore_song` (MusicExploreSongSourceContext)
  - `music_explore_song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `description` (string, optional, nullable)
  - `lyrics` (string, optional, nullable)
  - `title` (string, optional, nullable)
  - `vocals` (string, optional, nullable)
- `source_type`: `sfx` (SfxSourceContext)
  - `generation_config` (map from string to any, optional, nullable)
  - `sound_generation_history_item_id` (string, optional, nullable)
  - `text` (string, optional, nullable)
- `source_type`: `song` (SongSourceContext)
  - `song_id` (string, required)
  - `bpm` (integer, optional, nullable)
  - `chat_id` (string, optional, nullable)
  - `description` (string, optional, nullable)
  - `generation_settings` (map from string to any, optional, nullable)
  - `genres` (list of string, optional)
  - `is_explicit` (boolean, optional, nullable)
  - `languages` (list of string, optional)
  - `title` (string, optional, nullable)

### AudioAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (AudioAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### ImageAnalysis

- `status` (enum, required)
  - Allowed values: `processing`, `completed`, `failed`
- `data` (ImageAnalysisResult, required, nullable)
- `updated_at_ms` (integer, optional)

### SpeakerSeparationResponseModel

- `voice_id` (string, required) — ID głosu.
- `sample_id` (string, required) — ID próbki.
- `status` (enum, required) — Status rozdzielania mówców.
  - Allowed values: `not_started`, `pending`, `completed`, `failed`
- `speakers` (map from string to SpeakerResponseModel, optional, nullable) — Mówcy w próbce.
- `selected_speaker_ids` (list of string, optional, nullable) — ID wybranych mówców.

### VerificationAttemptResponseModel

- `text` (string, required) — Tekst próby weryfikacji.
- `date_unix` (integer, required) — Data próby weryfikacji w czasie Unix.
- `accepted` (boolean, required) — Czy próba weryfikacji została zaakceptowana.
- `similarity` (double, required) — Podobieństwo próby weryfikacji.
- `levenshtein_distance` (double, required) — Odległość Levenshteina próby weryfikacji.
- `recording` (RecordingResponseModel, optional, nullable) — Nagranie próby weryfikacji.

### ManualVerificationResponseModel

- `extra_text` (string, required) — Dodatkowy tekst ręcznej weryfikacji.
- `request_time_unix` (integer, required) — Data ręcznej weryfikacji w czasie Unix.
- `files` (list of ManualVerificationFileResponseModel, required) — Pliki do ręcznej weryfikacji.

### VoiceSharingModerationCheckResponseModel

- `date_checked_unix` (integer, optional, nullable) — Data przeprowadzenia kontroli moderacji w czasie Unix.
- `name_value` (string, optional, nullable) — Wartość nazwy głosu.
- `name_check` (boolean, optional, nullable) — Czy sprawdzenie nazwy zakończyło się powodzeniem.
- `description_value` (string, optional, nullable) — Wartość opisu głosu.
- `description_check` (boolean, optional, nullable) — Czy sprawdzenie opisu zakończyło się powodzeniem.
- `sample_ids` (list of string, optional, nullable) — Lista identyfikatorów próbek.
- `sample_checks` (list of double, optional, nullable) — Lista kontroli próbek.
- `captcha_ids` (list of string, optional, nullable) — Lista identyfikatorów CAPTCHA.
- `captcha_checks` (list of double, optional, nullable) — Lista wartości kontroli CAPTCHA.

### ReaderResourceResponseModel

- `resource_type` (enum, required) — Typ zasobu.
  - Allowed values: `read`, `collection`
- `resource_id` (string, required) — ID zasobu.

### ReferenceVideo

- `generation_id` (string, optional, nullable)
- `content_asset_id` (string, optional, nullable)
- `template_node_id` (string, optional, nullable)
- `studio_clip` (StudioClipLocator, optional, nullable) — Współrzędne klipu w projekcie Studio: dane referencji studio_clip.

### VideoAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `subjects` (list of VideoSubject, optional)
- `segments` (list of VideoSegment, optional)
- `key_moments` (list of VideoKeyMoment, optional)

### AssetTranscriptionData

- `language_code` (string, required)
- `text` (string, required)
- `words` (list of string, required)
- `word_start_times_ms` (list of integer, required)
- `word_end_times_ms` (list of integer, required)
- `word_speaker_ids` (list of string, required)

### AudioAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `overall_pacing` (string, optional, nullable)
- `segments` (list of AudioSegment, optional)
- `key_moments` (list of AudioKeyMoment, optional)

### ImageAnalysisResult

- `title` (string, required)
- `description` (string, required)
- `content_type` (string, optional, nullable)
- `mood_and_style` (string, optional, nullable)
- `composition_notes` (string, optional, nullable)
- `visible_text` (string, optional, nullable) — Czytelny tekst nałożony lub wyświetlony na obrazie, jeśli występuje.
- `subjects` (list of ImageSubject, optional)

### SpeakerResponseModel

- `speaker_id` (string, required) — ID mówcy.
- `duration_secs` (double, required) — Czas trwania segmentu mówcy w sekundach.
- `utterances` (list of UtteranceResponseModel, optional, nullable) — Wypowiedzi mówcy.

### RecordingResponseModel

- `recording_id` (string, required) — ID nagrania.
- `mime_type` (string, required) — Typ MIME nagrania.
- `size_bytes` (integer, required) — Rozmiar nagrania w bajtach.
- `upload_date_unix` (integer, required) — Data nagrania w czasie Unix.
- `transcription` (string, required) — Transkrypcja nagrania.

### ManualVerificationFileResponseModel

- `file_id` (string, required) — ID pliku.
- `file_name` (string, required) — Nazwa pliku.
- `mime_type` (string, required) — Typ MIME pliku.
- `size_bytes` (integer, required) — Rozmiar pliku w bajtach.
- `upload_date_unix` (integer, required) — Data pliku w czasie Unix.

### StudioClipLocator

Współrzędne klipu w projekcie Studio: dane referencji studio_clip.

- `project_id` (string, required)
- `chapter_id` (string, required)
- `clip_type` (enum, required)
  - Allowed values: `video`, `image`, `external_audio`, `tts_node`
- `clip_id` (string, required)
- `block_id` (string, optional, nullable)
- `preview_url` (string, optional, nullable)

### VideoSubject

- `name` (string, required)
- `description` (string, required)

### VideoSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `subjects` (list of string, optional)
- `shot_type` (string, optional, nullable)
- `camera_movement` (string, optional, nullable)
- `transition_in` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### VideoKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### AudioSegment

- `start_ms` (integer, required)
- `end_ms` (integer, required)
- `description` (string, required)
- `segment_type` (string, optional, nullable)
- `has_speech` (boolean, optional, default: false)
- `has_music` (boolean, optional, default: false)
- `pacing` (string, optional, nullable)

### AudioKeyMoment

- `timestamp_ms` (integer, required)
- `type` (string, required)
- `description` (string, required)

### ImageSubject

- `name` (string, required)
- `description` (string, required)

### UtteranceResponseModel

- `start` (double, required) — Czas rozpoczęcia wypowiedzi w sekundach.
- `end` (double, required) — Czas zakończenia wypowiedzi w sekundach.

## Examples

**Response**

```json
{
  "project_id": "aw1NgEzBg83R7vgmiJt6",
  "name": "My Project",
  "create_date_unix": 1714204800,
  "created_by_user_id": "Vbtgl3bRdj6lk79rYAgx",
  "default_title_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_ref_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_model_id": "eleven_multilingual_v2",
  "can_be_downloaded": true,
  "volume_normalization": true,
  "state": "default",
  "access_level": "viewer",
  "quality_preset": "standard",
  "chapters": [
    {
      "chapter_id": "aw1NgEzBg83R7vgmiJt6",
      "name": "Chapter 1",
      "can_be_downloaded": true,
      "state": "converting",
      "last_conversion_date_unix": 1714204800,
      "conversion_progress": 0.5,
      "statistics": {
        "characters_unconverted": 1000,
        "characters_converted": 500,
        "paragraphs_converted": 20,
        "paragraphs_unconverted": 10,
        "credits_needed_to_convert": 1000,
        "voice_statistics": [
          {
            "project_voice_ref_id": "voice123",
            "characters_unconverted": 600,
            "characters_converted": 300,
            "voice_id": "voice123"
          },
          {
            "project_voice_ref_id": "voice456",
            "characters_unconverted": 400,
            "characters_converted": 200,
            "voice_id": "voice456"
          }
        ]
      },
      "last_conversion_error": "Error message"
    }
  ],
  "pronunciation_dictionary_versions": [],
  "pronunciation_dictionary_locators": [],
  "apply_text_normalization": "auto",
  "assets": [],
  "voices": [],
  "quality_check_on": false,
  "quality_check_on_when_bulk_convert": false,
  "default_title_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "default_paragraph_voice_id": "JBFqnCBsd6RMkjVDRZzb",
  "last_conversion_date_unix": 1714204800,
  "title": "My Project",
  "author": "John Doe",
  "description": "This is a description of my project.",
  "genres": [
    "Novel",
    "Short Story"
  ],
  "cover_image_url": "https://example.com/cover.jpg",
  "target_audience": "young adult",
  "language": "en",
  "content_type": "Novel",
  "original_publication_date": "2025-01-01",
  "mature_content": false,
  "isbn_number": "978-90-274-3964-2",
  "fiction": "fiction",
  "creation_meta": {
    "creation_progress": 0.5,
    "status": "pending",
    "type": "blank"
  },
  "public_share_id": "abc123def456789",
  "experimental": {},
  "base_voices": []
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/studio/projects/21m00Tcm4TlvDq8ikWAM")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```